From 5c6e9506e63f5f818e812e936a011a049cbef2c2 Mon Sep 17 00:00:00 2001
From: Stefano Rivera <stefano@rivera.za.net>
Date: Mon, 6 Jun 2011 09:18:52 +0200
Subject: [PATCH 1/2] Detect errors when parsing Packages

---
 debmirror |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/debmirror b/debmirror
index ae50245..ce641c5 100755
--- a/debmirror
+++ b/debmirror
@@ -1071,6 +1071,7 @@ say("Parsing Packages and Sources files ...");
 	die "$file: $!" if $!;
       }
       my ($filename)=m/^Filename:\s+(.*)/im;
+      die "Error encountered while parsing $file." if !defined($filename);
       $filename=~s:/+:/:;	# remove redundant slashes in paths
       my ($deb_section)=m/^Section:\s+(.*)/im;
       my ($deb_priority)=m/^Priority:\s+(.*)/im;
@@ -1398,7 +1399,7 @@ if (! $do_dry_run) {
 }
 
 # Post mirror cleanup.
-cleanup_unknown_files() if ($post_cleanup && ! $debmarshal);
+cleanup_unknown_files() if ($post_cleanup && ! $debmarshal && $num_errors == 0);
 
 # Mirror cleanup for directories.
 if (! $use_cache && ($pre_cleanup || $post_cleanup)) {
-- 
1.7.4.4

